Multivariate Pattern Analysis in Python

# mvpa2.datasets.cosmo.cosmo_dataset

`mvpa2.datasets.cosmo.``cosmo_dataset`(cosmo)

  Construct Dataset from CoSMoMVPA format

  Parameters:

  cosmo: str or Dataset-like or dict

  > If a str it is treated as a filename of a .mat file with a matlab struct used in CoSMoMVPA, i.e. a struct with fields .samples, .sa, .fa, and .a. If a dict is is treated like the result from scipy’s loadmat of a matlab struct used in CoSMoMVPA.

  Returns:

  ds : Dataset

  > PyMVPA Dataset object with values in .samples, .fa., .sa and .a based on the input